<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payInId = '200015365';
$response = $api->PayIns->GetExtendedCardView($payInId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCardDetailsWebCardPayIn(payInId)
begin
response = MangoPay::PayIn::Card::Web.extended(payInId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card details: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '195073631'
}
viewCardDetailsWebCardPayIn(myPayIn[:Id])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import CardWebPayIn
payin_id = '213979861'
try:
view_web_payin_card = CardWebPayIn.get(payin_id)
pprint(vars(view_web_payin_card))
except CardWebPayIn.DoesNotExist:
print('The Web Card PayIn {} does not exist.'.format(payin_id))
{
"Id": "150523529",
"PaymentType": "CARD",
"ExecutionType": "WEB",
"ExpirationDate": "0323",
"Alias": "497010XXXXXX6588",
"CardType": "CB_VISA_MASTERCARD",
"Country": "FRA",
"Fingerprint": "586d14a7ee9244dd8a7a51bb79aafc24"
}
Web card pay-ins
View card details for a Web Card PayIn
GET
/
v2.01
/
{ClientId}
/
payins
/
card
/
web
/
{PayInId}
/
extended
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payInId = '200015365';
$response = $api->PayIns->GetExtendedCardView($payInId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCardDetailsWebCardPayIn(payInId)
begin
response = MangoPay::PayIn::Card::Web.extended(payInId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card details: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '195073631'
}
viewCardDetailsWebCardPayIn(myPayIn[:Id])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import CardWebPayIn
payin_id = '213979861'
try:
view_web_payin_card = CardWebPayIn.get(payin_id)
pprint(vars(view_web_payin_card))
except CardWebPayIn.DoesNotExist:
print('The Web Card PayIn {} does not exist.'.format(payin_id))
{
"Id": "150523529",
"PaymentType": "CARD",
"ExecutionType": "WEB",
"ExpirationDate": "0323",
"Alias": "497010XXXXXX6588",
"CardType": "CB_VISA_MASTERCARD",
"Country": "FRA",
"Fingerprint": "586d14a7ee9244dd8a7a51bb79aafc24"
}
Path parameters
string
required
The unique identifier of the pay-in.
Responses
200 - Response parameters
200 - Response parameters
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Format: “MMYY”The expiration date of the card.
string
The card number, partially obfuscated.
string
Returned values:
CB_VISA_MASTERCARD, AMEX, MAESTRO, BCMCDefault value: CB_VISA_MASTERCARDThe type of the card. If not supplied, the default value will be taken into account.string
Format: ISO-3166-1 alpha-3 three-letter country code (e.g., “FRA”)The country of the card (which is the same as the country of the issuer).
string
The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential.
{
"Id": "150523529",
"PaymentType": "CARD",
"ExecutionType": "WEB",
"ExpirationDate": "0323",
"Alias": "497010XXXXXX6588",
"CardType": "CB_VISA_MASTERCARD",
"Country": "FRA",
"Fingerprint": "586d14a7ee9244dd8a7a51bb79aafc24"
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payInId = '200015365';
$response = $api->PayIns->GetExtendedCardView($payInId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCardDetailsWebCardPayIn(payInId)
begin
response = MangoPay::PayIn::Card::Web.extended(payInId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card details: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '195073631'
}
viewCardDetailsWebCardPayIn(myPayIn[:Id])
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import CardWebPayIn
payin_id = '213979861'
try:
view_web_payin_card = CardWebPayIn.get(payin_id)
pprint(vars(view_web_payin_card))
except CardWebPayIn.DoesNotExist:
print('The Web Card PayIn {} does not exist.'.format(payin_id))
Was this page helpful?